Apache 2.0 + PHP + PostgreSQL no Slackware

Neste tutorial ensino como configurar e instalar o Apache 2, PHP e banco de dados PostgreSQL no Slackware.

[ Hits: 73.491 ]

Por: Felipe Amadeu Junges em 16/07/2004


Baixando os source



Primeiramente, vamos baixar as versões mais atualizadas dos pacotes que vamos instalar:

Apache 2.0.49:
PHP 4.3.7:
PostgreSQL 7.4.3:
De preferência para a padronização deste artigo, grave os 3 arquivos compactados dentro da pasta /usr/local/src.

Agora que já temos os softwares que precisamos, vamos adiante...

    Próxima página

Páginas do artigo
   1. Baixando os source
   2. Apache Server
   3. PostgreSQL
   4. PHP
Outros artigos deste autor

Instalando o phpBB num servidor Web

Leitura recomendada

Permissão de Execução de Arquivo (Script ou Binário) no GNU/Linux - Elementos Básicos para Compreensão

VPN FreeSWan IPSec

Instalando NSClient++ e NC_net

Instalando o VMWare Server no Ubuntu 7.04 (e/ou similares)

Instalando e configurando o Wine

  
Comentários
[1] Comentário enviado por fabio em 16/07/2004 - 01:20h

Muito bom o artigo, meus parabéns! Só achei que ficou faltando um hello_world.php que mostre como se faz o teste de conexão com o Postgree. Pra quem tá querendo começar a programar nesse ambiente, seria uma boa :P

Mas isso é o de menos.

[]'s

[2] Comentário enviado por bouncer em 16/07/2004 - 10:16h

isso ficou bem massa..quero saber como compilar..com mysql..vc pode me dar uma forca..

[3] Comentário enviado por Herr_Filip em 16/07/2004 - 11:19h

é mesmo, falha minha!
ficou falntando isso =(
mas valeu pela força!!

e sobre o MySQL, nunca usei junto com PHP, mas ACHO que deverá funcionar nativamente, pois está incluso ali no comando configure, e o Slack já tras o MySQL junto!

[4] Comentário enviado por cvs em 16/07/2004 - 16:14h

em relacção ao php, basta fazer com os parametros:

./configure --with-apxs2=/usr/local/apache2/bin/apxs --with-pgsql=/usr/local/pgsql

AGora se vc estiver usando o mysql, compilado, no lugar do --with-pgsql coloque --with-mysql=/usr/local/mysql ou apenas --with-mysql pra ficar builtin... hehehe muito simples, eu escrevi um artigo a respeito disso... faz uma busca ai que vc vai achar. :D

[5] Comentário enviado por marvel em 26/07/2004 - 12:42h

O artigo vale pela boa vontade do autor, está demasiado simples, porque não foi tido em conta a organização de directorias do Slackware, nem foi abordada a questão do arrancar dos servidores instalados, nem a sua configuração básica. Acho seria mais simples dizer aos leitores para instalar o apache, o php e o postgresql a partir do cd do Slackware. Pois após ler o artigo continuo com as minha dúvidas: Onde se instalam as aplicações por defeito no Slackware, que ficheiros de arranque utiliza, etc .... É que artigos sobre o mesmo tema e baseados nos sistemas que seguem o padrão SYSTEM V. (Red Hat, Conectiva .etc). não faltam !!!

No fim da leitura fiquei fustrado, foi o mesmo que ler: ? grave o ficheiro .exe no seu disco e corra setup. O que aconteceu, não interessa....?
Boa sorte ..

[6] Comentário enviado por Herr_Filip em 26/07/2004 - 12:52h

bom quem sabe tu nao faz um artigo?
eu estou tentando contribuir por aqui

postgresql NAO vem no cd do Slackware

estou curiuoso pra ler teu artigo, quando tu tiver terminado, tu me avisa tah? ;)
abraço
Felipe

[7] Comentário enviado por fabio em 26/07/2004 - 13:41h

Calma pessoal. Eu dou meu total apoio ao Felipe, existem artigos e artigos, uns são úteis para uns e inúteis para outros. Esse artigo do Felipe pode paracer simples para alguns, mas com certeza é de grande valia para muitos.

Eu mesmo pesquei umas dicas que ele passou de Postgree nesse artigo. Esse é o espírito.

Parabéns Felipe!

[8] Comentário enviado por Herr_Filip em 26/07/2004 - 21:52h

Valeu Fabio!
acho que esse é o espírito, um artigo complementa o outro!

procurei direcionar o artigo pra quem quer instalar os programas (pq, alguem que quer atualiza-los, jah deve saber configura-los!) =)

legal saber que meu artigo foi util! valeu a pena entao!!

Obrigado! Felipe!

[9] Comentário enviado por vitormr em 12/10/2004 - 01:13h

Olá Felipe, ola a todos, muito bom este artigo, de todos q passaram por mim, este me pareceu o mais completo. No entanto, este também nao resolveu meu problema :-(, que nada mais eh do que fazer funcionar o connector jk2, para que o Apache passe ao Tomcat as requisições de paginas .jsp. Eu estou utilizando o kit: Slackware 10 :-) + Apache 1.3.31 + Tomcat/5.0.29 ahhh + jakarta-tomcat-connectors-jk2-2.0.4-src.tar.gz. No que tange ao apache servir as requisições na porta 80 tudo bem e ao Tomcat servir as requisiçõs de jsp na porta 8080 tambem, porem fazer o maldito do conector jk2 funcionar eh meu maior problema. Tentei utilizar a versão do apache httpd-2.0.52.tar.gz para seguir o teu tutorial mais a risca, mas deu pau ao executar configure:
---
Applying apr-util hints file rules for i686-pc-linux-gnu
checking for APR... yes
setting CC to "gcc"
setting CPP to "gcc -E"
setting CFLAGS to " -g -O2"
setting CPPFLAGS to " -DLINUX=2 -D_REENTRANT"
checking for gcc... gcc
checking for C compiler default output... configure: error: C compiler cannot create executables
See `config.log' for more details.
Well, o fato e que com o kit
---
Alguem faz alguma ideia do pq o connector jk2 não esta passando as requisições feitas ao apache na porta 80 de jsp ao tomcat? Eh algum problema com as versões do kit que eu estou utilizando?
obrigado pela atenção de qqr forma,
Vítor
--------------------------------
URL: www.inf.pucrs.br/~vitormr
E-mail: vitormr@inf.pucrs.br
--------------------------------

[10] Comentário enviado por removido em 11/02/2005 - 01:20h

Muito bom o artigo. Mas gostaria de fazer um adendo:

É necessário inserir as seguintes linhas no httpd.conf:

AddType application/x-httpd-php .php .phtml
AddType application/x-httpd-php-source .phps

Aí rola na boa.

Sds

[11] Comentário enviado por reimassupilami em 31/03/2005 - 08:35h

olá Herr_Filip... estou precisando instalar o php5... vc sabe se os parâmetros para configuração e compilação são os mesmos?

[12] Comentário enviado por removido em 15/04/2005 - 15:55h

reimassupilami
sao sim!!!

[13] Comentário enviado por sapigbsb em 01/10/2005 - 19:46h

Olá felipe, obrigado pro contribuir para a comunidade!Não consegui completar o artigo, pois quando vou acionar o comando "make", meu slacware da a seguinte msn
MAKE : *** NO TARGETS SPECIFIED NO MAKE FILE FOUND . STOP .

A versão do apache que estou ionstalando e da familia 2.0.50

Podes me ajudar?Abraço

[14] Comentário enviado por Herr_Filip em 02/10/2005 - 10:48h

Olá amigo!

Você executou o 'configure' antes? Se sim, verificou se ele completou, senao nao foi abortado com erro?

Abraço!

[15] Comentário enviado por drboldrin em 16/12/2005 - 10:48h

Ola, muito bom este comentário.. é só seguir que não tem erro algum
Para quem não quiser o PostgreeSQL basta alterar a ultima linha por --with-mysq
Parabens!!!

[16] Comentário enviado por damas em 21/02/2006 - 09:51h

Olá, sr.carneiro!! onde devo incluir as linhas? Em qual parte do arquivo httpd.config?
AddType application/x-httpd-php .php. phtml
AddType application/x-httpd-php -source .phps


[17] Comentário enviado por removido em 11/12/2006 - 16:33h

Perfeito meu amigo!! Estava precisando de um auxilio na compilação do PHP... o seu "configure" tinha tudo que era necessário e mais... não tive que perder tempo lendo manuais. Obrigado!

[18] Comentário enviado por scoff em 04/04/2007 - 09:56h

Cara...valeu a força! tava tendo problemas seguindo outros artigos, e o teu foi redondinho! Abraço....


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts